Telerik Forums
Kendo UI for Vue Forum
2 answers
210 views

Hello,

I have a problem with the datePicker of recurrenceRule.

As you can see in the picture, the datetimepicker of "start" uses a custom date format as dd/MM/yyyy and the culture "fr-BE". 

If I understand correctly how the datepicker of recurrence rule works, this one picks the date of "start". But the problem is the datepicker doesn't understand the custom format so it shows me an error 

Uncaught TypeError: Cannot read property 'getFullYear' of null

If I delete the custom format and the culture, all works perfectly but if I set a custom format it doesn't work.

Is there a solution to set globally the format of a date ? or how can I set a custom date format to the datepicker of recurrence rule ?

 

Thank you for the help.

Petar
Telerik team
 answered on 22 Apr 2021
3 answers
132 views

There is a way to block appointments in hours.

Example in the image

Petar
Telerik team
 answered on 15 Mar 2021
1 answer
161 views

Hi, we have a multilanguage application and we need to change the Kendo UI for Vue language dynamically.

Currently, we were doing it like this and it worked:

 

var that = this;
      var selectedLang = this.$refs.dl.kendoWidget().value();
      $.getScript("https://kendo.cdn.telerik.com/2018.3.1017/js/messages/kendo.messages." + selectedLang + ".min.js", function() {
        var lb = that.$refs.lb.kendoWidget();
        lb.setOptions({
          messages: kendo.ui.ListBox.fn.options.messages
        });
      });

 

But we need the script to grab it locally for possible own modifications. I am trying this way :

var that = this;
            var script = document.createElement('script');
           
            script.src = "../../../../storage/kendo-grid/messages/kendo.messages." +selectedLang+ ".min.js";
            if(document.head){
                document.head.appendChild(script);
                var lb = that.$refs[ref].kendoWidget();
                lb.setOptions({
                    messages: kendo.ui.ListBox.fn.options.messages
                });
            }

 

But it gives me a javascript error when pointing to the script ('Module is not defined').

Could you guide me a bit? Thanks!









Petar
Telerik team
 answered on 12 Mar 2021
2 answers
136 views

Hi Folks, 

I have been trying to get the upload component working correctly in Vue 3.

I have noticed that when sending the post body it seems to be going without any file content in the post body.  see attached.  I would have expected the post body to be set.

Stack blitz link is here: 

https://stackblitz.com/edit/vue-zqxlxq

Same code works as expected in Vue 2.  Have I missed something?

EF.

Petar
Telerik team
 answered on 03 Feb 2021
3 answers
209 views
Hello, 

the current behaviour of Kendo Scheduler stands like this - you have to double-click to create / view / edit an event.

I'm looking for solution like here: https://dojo.telerik.com/IPOsutAD but for Vue. 

Any help would be appreciated

Axel
Petar
Telerik team
 answered on 19 Jan 2021
4 answers
171 views

Looking at the example below (for local data source)

https://www.telerik.com/kendo-vue-ui/components/gantt/data-binding/

Clicking 'Add Task' causes the child tasks to be duplicated + when choosing 'Add Child' the whole thing hangs.

 

I see the same behaviour in my own project - is there some other code required or is this a bug?

Plamen
Telerik team
 answered on 24 Dec 2020
1 answer
190 views

I have a Gantt connected to my backend, retrieving and writing data is working just fine but I am not sure that I am using the correct approach. For writes I am using the transport-update props like so:

:transport-update-url="serviceRoot + '/graphql'"
:transport-update-data="updategql"
transport-update-content-type="application/json"
transport-update-data-type="json"
transport-update-type="POST"

 

This is working ok in terms of calling the backend but there is no event that I am currently handling whereby I can check that the call to the backend was successful or not.

So I was wanted to know whether I should be using my current method along with some other code to check the callback result or if I should rather be using the Gantt events add/edit/remove etc. to process updates from the UI?

Plamen
Telerik team
 answered on 24 Dec 2020
2 answers
223 views

I have used some of the concepts from the link below to try to databind the Gantt Vue wrapper to a graphql datasource:

https://demos.telerik.com/kendo-ui/grid/graphql

I have got so close to making this work in that I can query the graphql service and return the correct data just fine, but I don't know how to bind to the result of the graphql. From REST the data might look as follows:

    [{Gantt task data}, {Gantt task data}]

 

but from GQL the data looks like this:

    {"data":{"projecttasks":[{Gantt task data}, {Gantt task data}] }}

 

ie. the datasource needs to be set to "data.projecttasks" - how to I do this?

 

 

This is what I have got so far:

<template>
    <div>
    <ganttdatasource ref="ganttdatasource1"
                       :transport-read-url="serviceRoot + '/graphql'"
                       :transport-read-data="fetchgql"
                       transport-read-content-type="application/json"
                       transport-read-data-type="json"
                       transport-read-type="POST"
                       :transport-parameter-map="parameterMap"
                       schema-model-id="id"
                       :schema-model-fields="fields"
                      .........
                       >
    </ganttdatasource>
    </div>
</template>
 
<script>
 
import { GanttDataSource, GanttDependencyDataSource } from '@progress/kendo-datasource-vue-wrapper';
import { Gantt, GanttColumn, GanttView } from '@progress/kendo-gantt-vue-wrapper'
 
export default {
  name: 'GanttView',
  components: {
    'gantt': Gantt,
    'ganttdatasource': GanttDataSource,
  },
  methods: {
        parameterMap: function(options, operation) {
            return JSON.stringify(options);
        }     
  },
  computed: {
      fetchgql: function() {
        return {query: `
                query {
                    projecttasks {
                        PRT_id
                        PRT_text
                        PRT_order
                        PRT_parent
                        PRT_end_date
                        PRT_start_date
                        PRT_progressperc   
                    }
                }
                `
        }
 
      }
  },
  data: function() {
        return {
            serviceRoot: "http://localhost:4000",
            fields: {
                id: { from: 'PRT_id', type: 'number' },
                parentId: { from: 'PRT_parent', type: 'number', defaultValue: null, validation: { required: true } },
                start: { from: 'PRT_start_date', type: 'date' },
                ......................
            }
        }
    }
}
</script>
Plamen
Telerik team
 answered on 24 Dec 2020
1 answer
140 views

I'm using the Menu widget but I guess this would apply to any of the Vue wrappers.

As per the docs, to access the clicked menu item it appears that $ is needed but I just get errors because $ is undefined. So my question is - do I need to manually include JQuery in order to access the item and/or is there no better way to do this? 

onSelect: function (e) {
    var currentItemText = $(e.item.firstChild).text().trim();
    console.log(currentItemText + " clicked.");
}
Petar
Telerik team
 answered on 22 Dec 2020
1 answer
284 views

When using a template as below then the child items do not display:

<template>
    <kendo-menu>
        <kendo-menu-item text="Baseball">
            <kendo-menu-item text="Top News"></kendo-menu-item>
            <kendo-menu-item text="Radio Records"></kendo-menu-item>
        </kendo-menu-item>
        <kendo-menu-item text="Swimming">
            <kendo-menu-item text="Top News"></kendo-menu-item>
        <kendo-menu-item text="Radio Records"></kendo-menu-item>
        </kendo-menu-item>
    </kendo-menu>
</template>

 

The same problem can be seen in your docs under 'Basic Usage':

https://www.telerik.com/kendo-vue-ui/components/layout/menu/

 

Using 'ul' instead of 'MenuItem' it seems to work fine

 

Petar
Telerik team
 answered on 22 Dec 2020
Narrow your results
Selected tags
Tags
Grid
General Discussions
DropDownList
DatePicker
Editor
Grid wrapper
Scheduler
DropDownTree wrapper
Spreadsheet wrapper
Calendar
Input
MultiSelect
NumericTextBox
DateInput
DateTimePicker
Editor wrapper
Styling / Themes
DataSource wrappers (package)
Scheduler wrapper
Chart wrappers (package)
Gantt wrapper
Localization
Chart
Checkbox
ComboBox
Window
Pager
Error
Upload
DropDownList wrapper
Popup
Form
Tooltip
TreeView
Dialog
MultiSelect wrapper
NumericTextBox wrapper
Slider
Toolbar wrapper
Upload wrapper
Validator wrapper
ColorPicker
Button
Accessibility
AutoComplete
AutoComplete wrapper
Button wrapper
ComboBox wrapper
ContextMenu wrapper
Licensing
ListBox wrapper
ListView wrapper
Map wrapper
MaskedTextBox
Menu wrapper
MultiColumnComboBox wrapper
Splitter wrapper
TabStrip wrapper
TimePicker
TreeView wrapper
TabStrip
Card
RadioButton
FloatingLabel
TextArea
Drawer
Stepper
DateRangePicker
Gauge
Splitter
PanelBar
Notification
RangeSlider
Menu
TreeList
Toolbar
ListView
FontIcon
SVGIcon
Animation
Barcode wrapper
ButtonGroup wrapper
Chat wrapper
ColorPicker wrapper
DateInput wrappers (package)
Diagram wrapper
Dialog wrapper
Gauges wrappers (package)
MaskedTextBox wrapper
MediaPlayer wrapper
Notification wrapper
Pager wrapper
PanelBar wrapper
PivotGrid wrapper
QRCode wrapper
RangeSlider wrapper
ScrollView wrapper
Security
Slider wrapper
Switch wrapper
Tooltip wrapper
TreeList wrapper
TreeMap wrapper
Window wrapper
Avatar
StockChart
Sparkline
RadioGroup
Hint
Loader
ProgressBar
Switch
Wizard
Skeleton
ScrollView
ColorGradient
ColorPalette
FlatColorPicker
ButtonGroup
TileLayout
ListBox
ExpansionPanel
BottomNavigation
AppBar
Signature
ChunkProgressBar
VS Code Extension
SpeechToTextButton
+? more
Top users last month
Edmond
Top achievements
Rank 1
Iron
fabrizio
Top achievements
Rank 2
Iron
Veteran
RobMarz
Top achievements
Rank 2
Iron
Fakhrul
Top achievements
Rank 1
Iron
Tejas
Top achievements
Rank 2
Iron
Iron
Iron
Want to show your ninja superpower to fellow developers?
Top users last month
Edmond
Top achievements
Rank 1
Iron
fabrizio
Top achievements
Rank 2
Iron
Veteran
RobMarz
Top achievements
Rank 2
Iron
Fakhrul
Top achievements
Rank 1
Iron
Tejas
Top achievements
Rank 2
Iron
Iron
Iron
Want to show your ninja superpower to fellow developers?
Want to show your ninja superpower to fellow developers?

Telerik Forums
KendoReact Forum
1 answer
3 views

I am trying to use the GridPDFExport component to save a grid that contains a custom cell. The custom cell uses a redux selector and needs to access the global state. When i try to save the grid I get the following errors logged. If I remove the cell in question it works normally. How do I approach this issue?

Konstantin Dikov
Telerik team
 answered on 08 Apr 2024
0 answers
27 views
I would like to know if Layout or other components  that can plan UI/layout RWD ?
Yen
Top achievements
Rank 1
 asked on 28 Dec 2023
1 answer
52 views

I have a price column, in Grid am using format="{0:c}" for displaying currency format. I need same format to be displayed for that particular column's GridColumnMenuCheckboxFilter also. If i update the data object, filter is not working as numeric. Need an urgent fix for this issue ?

Am using below code for wrapper: 

 <GridColumnMenuWrapper
          {...props.columnMenuWrapperProps}
          data={alldata}
          expanded={true}
          searchBox={() => null}
        ></GridColumnMenuWrapper>
Konstantin Dikov
Telerik team
 answered on 10 Oct 2023
2 answers
82 views

Hello! I am trying to add drop down support to my Kendo React Spreadsheet element. I am following this set of docs but the result does not seem to be working when tested using the most recent React component.

 

Not working example - https://codesandbox.io/s/fervent-driscoll-2mwf49?file=/app/main.tsx

Working but not using react - http://dojo.telerik.com/IgiFEwEN

 

Any help would be greatly appreciated!

Wissam
Telerik team
 answered on 23 Aug 2023
1 answer
132 views

Please provide a solution on how to change theme colors beyond just light and dark modes. I am using Sass and style components, but I would like to implement the ability to select and change multiple colors within a theme. I am also utilizing the Kendo ThemeBuilder to create a custom theme."

If you're looking to implement a theme color change functionality using Sass and style components in conjunction with the Kendo ThemeBuilder, you might want to explore the documentation or resources specific to those tools for detailed guidance on how to achieve your

Vessy
Telerik team
 answered on 15 Aug 2023
1 answer
149 views

"Currently, I am using a drawer, but the issue is that the content inside the drawer is not responsive. I am attempting to create a wrapper for the content within the page, but I'm encountering difficulties with the CSS not functioning as expected. Could you kindly suggest an appropriate method for designing a responsive page?

========================================================================================

 "I am currently using a wrapper for sharing my code, for example."<wrapper direction="column">

<row>

<div> my page code </div>

<row>

</wrapper>

==============================================================================================

import React, { ReactNode } from "react";

import styled from "styled-components";
interface WrapperOptions {
  children: ReactNode;
  direction?: "row" | "column";
}
const StyledWrapper = styled.div<{ direction?: string }>`
  background-color: #ffffff;
  width: 100%;
  height: 100vh;
  display: flex;
  overflow: auto;
  flex-direction: ${({ direction }) => direction};
`;
function Wrapper({ children, direction }: WrapperOptions) {
  return (
    <StyledWrapper direction={direction}>
      {children}
    </StyledWrapper>
  );
}
export { Wrapper };
Konstantin Dikov
Telerik team
 answered on 11 Aug 2023
0 answers
156 views

I have weird problem, where I am able to npm run webpack without any errors in my local machine but it suddenly stopped working on our build server with below error 'Breadcrumbs'

npm run webpack failing with Attempted import error: 'Breadcrumb' is not exported from '@progress/kendo-react-layout' (imported as 'Breadcrumb').

 

Appreciate any help to resolve this.

Akshat
Top achievements
Rank 1
 asked on 21 Jul 2023
9 answers
823 views

Hi, 
I am using kendo React in my project. When I am doing grouping on grid and exporting as excel, grouping is not applied in Excel and is download with flat table.

I am sending grouped array in group property of ExcelExport butgrouping is not happening in export to excel.

<ExcelExport group = {group}>

</Excel Export>

Please let me know is it the expected behaviour for excel or is it an issue.

 

Thanks

Jie
Top achievements
Rank 2
Iron
Iron
Iron
 answered on 30 May 2023
0 answers
107 views

Hi I am automating a page which has Kendo components. It has a table. Regarded table is here: 

<table tabindex="-1"
       class="k-grid-table"
       role="presentation"
       style="transform: translateY(0px);">
    <colgroup role="presentation">
        <col class="k-sorted" width="340px">
        <col width="440px">
        <col width="340px">
        <col width="340px">
        <col>
    </colgroup>
    <tbody role="presentation">
        <tr class="k-master-row k-state-selected" role="row" _rowid="7ffec669-e2a1-59dc-bb11-210863485e21" style="height: 30px;">
            <td class="sc-fubCfw irPtrP k-text-left sticky-last k-grid-content-sticky undefined select-cell" style="left: 0px; right: 0px;">
                <i title="New" class="sc-fKFyDc gzkmxX dfI_G11_EntityTrackerNew"></i>
            </td>
            <td class="sc-fubCfw irPtrP   k-text-left  undefined">
            </td>
            <td class="sc-fubCfw irPtrP   k-text-left  undefined"></td>
            <td class="sc-fubCfw irPtrP   k-text-left  undefined">
            </td>
            <td colspan="1"
                class=" phantom  k-text-left   k-text-left "
                role="gridcell" aria-colindex="5" aria-selected="false" _customized="true"></td>
        </tr>
    </tbody>
</table>

But when I try to reach  first element and send some text I got this error: Coypu.MissingHtmlException: Unable to find xpath: //*[@class="sc-fubCfw irPtrP in-edit-padding k-text-left sticky-last k-grid-content-sticky undefined select-cell"]

As you seen in the error, element is different. It is normally hidden and changes when I click on it. So I tried to reach it (InnerClassElement)

string test = "Test";
     OuterClassObject.Click();
  //    Thread.Sleep(1000);
  //     InnerClassElement.SendKeys(test);
  //     OuterClassObject.SendKeys(test);

      InnerClassElement.FillInWith(test);

But I couldn't reach it. With the FillInWith() method I can see cursor is inside the table but it is not typing. And it throws Element is not reachable error. 

How can I interact with that inner element and send text to it.

My framework is SpecFlow, Selenium and C#.

Regards.

 

Alya
Top achievements
Rank 1
 asked on 20 Jan 2023
1 answer
185 views
Hello, i am using KendoReact Editor as a wysiwyg html editor, for some reason editor removes non-standart tag attributes, for example:



  

 

<div class="tomorrow"
           data-location-id="067285,067285,067285,067285,067285,067285"
           data-language="EN"
           data-unit-system="METRIC"
           data-skin="light"
           data-widget-type="aqi6"
           style="padding-bottom:22px;position:relative;"
        >
</div>

after insertion this tag becomes

<div style="padding-bottom:22px;position:relative;" class="tomorrow"></div>



is there a way to make that so editor keeps any tags on html elements on insert, because i can't predict user input i want to allow any tags on html elements(allowing specific tags won't work here), i know that this is not secure, but only selected users will have access so this is ok for me, could you please provide a code example where Editor keeps all of the custom tags on insert?

Konstantin Dikov
Telerik team
 answered on 10 Jan 2023
Narrow your results
Selected tags
Tags
+? more
Top users last month
Dominik
Top achievements
Rank 1
Giuliano
Top achievements
Rank 1
Dominic
Top achievements
Rank 1
Glendys
Top achievements
Rank 1
NoobMaster
Top achievements
Rank 2
Iron
Want to show your ninja superpower to fellow developers?
Top users last month
Dominik
Top achievements
Rank 1
Giuliano
Top achievements
Rank 1
Dominic
Top achievements
Rank 1
Glendys
Top achievements
Rank 1
NoobMaster
Top achievements
Rank 2
Iron
Want to show your ninja superpower to fellow developers?
Want to show your ninja superpower to fellow developers?